<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_191) on Fri Mar 15 18:21:07 CST 2019 -->
<title>M-Index</title>
<meta name="date" content="2019-03-15">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="M-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-11.html">Prev Letter</a></li>
<li><a href="index-13.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-12.html" target="_top">Frames</a></li>
<li><a href="index-12.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">Q</a>&nbsp;<a href="index-17.html">R</a>&nbsp;<a href="index-18.html">S</a>&nbsp;<a href="index-19.html">T</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><a href="../Main.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Main</span></a> - Class in <a href="../package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>
<div class="block">Main class, shows a calculator as a JavaFX UI</div>
</dd>
<dt><span class="memberNameLink"><a href="../Main.html#Main--">Main()</a></span> - Constructor for class <a href="../Main.html" title="class in &lt;Unnamed&gt;">Main</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Main.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class <a href="../Main.html" title="class in &lt;Unnamed&gt;">Main</a></dt>
<dd>
<div class="block">For init the app</div>
</dd>
<dt><span class="memberNameLink"><a href="../LispInterpreterView.html#minus-Node-Node-">minus(Node, Node)</a></span> - Static method in class <a href="../LispInterpreterView.html" title="class in &lt;Unnamed&gt;">LispInterpreterView</a></dt>
<dd>
<div class="block">Operates a rest with the value of two NumericAtom type nodes</div>
</dd>
<dt><span class="memberNameLink"><a href="../MyScanner.html#MoveToNext--">MoveToNext()</a></span> - Method in class <a href="../MyScanner.html" title="class in &lt;Unnamed&gt;">MyScanner</a></dt>
<dd>
<div class="block">Reassigns the value of currentToken and  returns true if the currentToken Token value is the $$ char,
 this means, EOF</div>
</dd>
<dt><span class="memberNameLink"><a href="../LispInterpreterView.html#myParser">myParser</a></span> - Static variable in class <a href="../LispInterpreterView.html" title="class in &lt;Unnamed&gt;">LispInterpreterView</a></dt>
<dd>
<div class="block">For parse</div>
</dd>
<dt><a href="../MyParser.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">MyParser</span></a> - Class in <a href="../package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>
<div class="block">MyParser Class is used to "parse" and convert them to a low level instruccion
 the expressions once they are passed from myScanner
 principal method returns a node with all the validations to pass it to LispInterpreterView</div>
</dd>
<dt><span class="memberNameLink"><a href="../MyParser.html#MyParser--">MyParser()</a></span> - Constructor for class <a href="../MyParser.html" title="class in &lt;Unnamed&gt;">MyParser</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../MyScanner.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">MyScanner</span></a> - Class in <a href="../package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>
<div class="block">This class gets a string value in the init method, and iterates over the string to get
 the value of each character and generate Token type objects with a specific value according to the type of
 characters that it is identified, predefined types of Tokens are shown below as static type Strings.</div>
</dd>
<dt><span class="memberNameLink"><a href="../MyScanner.html#MyScanner--">MyScanner()</a></span> - Constructor for class <a href="../MyScanner.html" title="class in &lt;Unnamed&gt;">MyScanner</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">Q</a>&nbsp;<a href="index-17.html">R</a>&nbsp;<a href="index-18.html">S</a>&nbsp;<a href="index-19.html">T</a>&nbsp;<a href="index-20.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-11.html">Prev Letter</a></li>
<li><a href="index-13.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-12.html" target="_top">Frames</a></li>
<li><a href="index-12.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
